#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	prefork
Summary:	prefork - optimize module loading across forking and non-forking scenarios
Summary(pl.UTF-8):	prefork - optymalizacja ładowania modułów dla rozwidlonych i nierozwidlonych scenariuszy
Name:		perl-prefork
Version:	1.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/E/ET/ETHER/%{pdir}-%{version}.tar.gz
# Source0-md5:	60d97a66a1e6e4ccfa51f8662a511048
URL:		https://metacpan.org/release/prefork
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.24-2
%if %{with tests}
BuildRequires:	perl-Scalar-List-Utils >= 0.18
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The prefork pragma is intended to allow module writers to optimise
module loading for both scenarios with as little additional code as
possible.

The prefork.pm is intended to serve as a central and optional
marshalling point for state detection (are we running in procedural or
pre-forking mode) and to act as a relatively light-weight module
loader.

%description -l pl.UTF-8
prefork ma umożliwić piszącym moduły zoptymalizowanie ładowania
modułów dla obu scenariuszy przy użyciu jak najmniejszego dodatkowego
kodu.

prefork.pm ma służyć jako centralny i opcjonalnie prowadzący punkt dla
wykrywania stanów (czy program działa w trybie proceduralnym, czy
pre-fork) i działać jako relatywnie lekki moduł do wczytywania
modułów.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
#rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/prefork/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/prefork.pm
%{_mandir}/man3/prefork.3pm*
%changelog
* Wed May 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-prefork.git;a=log;h=master

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 6f0b29d
- updated to 1.05

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c7c89d1
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 66c8722
- updated to 1.04

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> fcd3b89
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 4819a1e
- up to 1.02

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3c6430d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 783de38
- converted to UTF-8

* Mon Aug 07 2006 Maciej Pijanka <agaran@pld-linux.org> 8dec477
- up to 1.01, builds here

* Wed Feb 15 2006 Elan Ruusamäe <glen@pld-linux.org> 1e96d73
- up to 1.00

* Fri Feb 25 2005 petec <petec@pld-linux.org> bf1e1e4
- updated to 0.04

* Sat Dec 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 30eed17
- pl desc

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> 5bdcbbb
- pl summary, formatting

* Thu Dec 09 2004 radek <radek@pld-linux.org> 344a607
- fixed Source0 URL

* Thu Dec 09 2004 radek <radek@pld-linux.org> 068f30b
- new

